import * as React from "react";
import Svg, { Path } from "react-native-svg";

const Heavy = (props) => {
  return (
    <Svg
      width={25}
      height={25}
      viewBox="0 0 25 25"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <Path
        d="M4.302 12.504c-.273.051-.506.079-.623.346-.072.163-.193.212-.337.059-.17-.183-.304-.1-.425.062-.023.03-.04.067-.064.097-.07.086-.12.224-.263.181-.114-.034-.125-.16-.152-.262-.016-.062.018-.136-.055-.199-.059.042-.117.09-.18.128-.162.097-.263.044-.282-.137-.013-.127.01-.261-.185-.255-.026 0-.082-.061-.076-.072.098-.211-.078-.456.028-.633.355-.593.61-1.243 1.048-1.79.582-.73 1.26-1.352 1.996-1.921.878-.68 1.855-1.176 2.873-1.6.146-.06.247-.143.29-.294a.151.151 0 01.024-.052c.467-.591.506-1.308.601-2.01.058-.452.188-.89.385-1.3.167-.343.248-.367.609-.262.618.18 1.202.419 1.687.858.112.102.236.103.378.068 1.007-.255 1.99-.187 2.94.244.155.07.274.052.429-.034.64-.356 1.287-.714 2.044-.754.424-.023.513.031.588.456.119.678.102 1.366.031 2.048-.06.58-.08.572.456.824 1.466.69 2.836 1.535 4.001 2.668.865.842 1.668 1.743 2.285 2.791.184.314.297.661.513.966.09.127.282.436-.068.597-.095.045-.044.134-.03.207.06.305.048.316-.265.231-.036-.01-.072-.022-.106-.033-.06.075 0 .135.004.198.01.167-.075.213-.215.157a2.317 2.317 0 01-.278-.154c-.316-.18-.472-.148-.681.135-.167.226-.299.226-.37-.044-.084-.316-.299-.378-.563-.442-.238-.057-.24.026-.194.214.13.534.323 1.057.363 1.606.035.486.268.926.277 1.412.002.158.152.182.234.27.316.337.63.382.99.052.094-.087.248-.188.393-.074.126.098.101.265.051.378-.296.675-.132 1.407-.264 2.088-.27 1.39-1.11 2.342-2.5 2.768-.605.185-1.2.24-1.82.078a1.973 1.973 0 01-1.175-.83c-.106-.156-.21-.23-.404-.18-.847.218-1.687.125-2.518-.09a2.269 2.269 0 00-1.082-.031c-1.217.264-2.45.335-3.677.1a8.243 8.243 0 01-1.582-.455 1.255 1.255 0 00-.79-.049c-.66.15-1.332.222-2.01.133-.172-.022-.311-.012-.43.15-.36.487-.876.714-1.454.81-1.854.307-3.55-.992-4.088-2.422a.43.43 0 01-.03-.082 5.835 5.835 0 00-.55-1.777c-.096-.188.023-.292.217-.3a.714.714 0 01.229.022c.226.066.365-.032.528-.188.278-.263.425-.541.393-.936-.021-.269.152-.356.402-.251.037.01.071.03.1.057.312.4.75.294 1.164.296.133.001.208-.058.28-.163.203-.282.324-.614.351-.96a9.48 9.48 0 01.57-2.562c.014-.051.026-.104.034-.157z"
        fill={`${props.color ? props.color : "#17171B"}`}
      />
    </Svg>
  );
};

export default Heavy;
